//
//  PathView.swift
//  Examen1
//
//  Created by Santiago Pavón on 14/10/15.
//  Copyright © 2015 UPM. All rights reserved.
//

import UIKit

@IBDesignable
class PathView: UIView {
    
    var radius: CGFloat = 10
    
    override func drawRect(rect: CGRect) {

        let w = bounds.size.width
        let h = bounds.size.height
        let rect = CGRectMake(w/4,h/4,w/2,h/2)
        
        let path = UIBezierPath(roundedRect: rect, cornerRadius: radius)

        path.lineWidth = 6
        UIColor.blueColor().setFill()
        UIColor.redColor().setStroke()
        path.fill()
        path.stroke()
    }


}
